%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-dotconf
Version:        0.2.1
Release:        10%{?dist}
Summary:        Parser for the dot.conf configuration file

Group:          Development/Libraries
License:        GPLv3+
URL:            http://code.google.com/p/python-dotconf/
Source0:        http://python-dotconf.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch

%if 0%{?fedora}
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif      

%description
Parser for the dot.conf configuration file

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-8
- Rebuild for Python 2.6




* Wed Jul 23 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.2-7
- packaging new upstream release

* Fri Jul 18 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.2-5
- detecting OLPC branch instead of >F-8 for inclusion of python-setuptools-devel
- included python-eggs for F-9
- Modified license to GPLv3+.

* Thu Jul 17 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.2-4
- Added %%BuildArchitectures: noarch to fix rpmlint E:No Binary

* Wed Jul 16 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.2-3
- Changed URL and location of package

* Sat Jul 11 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.2-2
- New version with single file dotconf.py

* Fri Jul 10 2008    Hemant Goyal <goyal.hemant@gmail.com> 0.1-1
- Initial Commit
